package com.jay.monitor.data.core.model.serializable.base;

/**
 * @Module 传输层
 * @Description 应用对象描述
 * @Author liukaixiong
 * @Date 2020/10/21 17:28
 */
public interface ApplicationData {
    /**
     * 获取ip
     *
     * @return
     */
    public String getIp();

    /**
     * 设置客户端ip
     *
     * @param ip
     */
    public void setIp(String ip);

    /**
     * 获取客户端应用名称
     *
     * @return
     */
    public String getApplicationName();

    /**
     * 设置客户端应用名称
     *
     * @param applicationName
     */
    public void setApplicationName(String applicationName);
}
